package com.sf.index.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 应用列对象 APPLY_LIST_INFO
 *
 * @author ztzh
 * @date 2024-04-11
 */
public class ApplyListInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 应用code
     */
    @Excel(name = "应用编号")
    private String appCode;
    /**
     * 应用名称
     */
    @Excel(name = "应用名称")
    private String appName;

    /**
     * 应用描述
     */
    @Excel(name = "应用描述")
    private String appDesc;

    /**
     * 图片
     */
    @Excel(name = "图片")
    private String picture;

    /**
     * 排序
     */
    private Long orderNum;

    /**
     * 逻辑删除,0:未删除,1:删除
     */
    private Long isDelete;

    /**
     * 创建人
     */
    private String created;

    /**
     * 更新人
     */
    private String modified;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppDesc(String appDesc) {
        this.appDesc = appDesc;
    }

    public String getAppDesc() {
        return appDesc;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getPicture() {
        return picture;
    }

    public void setOrderNum(Long orderNum) {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() {
        return orderNum;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreated() {
        return created;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getModified() {
        return modified;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppCode() {
        return appCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("appCode",getAppCode())
                .append("appName", getAppName())
                .append("appDesc", getAppDesc())
                .append("picture", getPicture())
                .append("orderNum", getOrderNum())
                .append("isDelete", getIsDelete())
                .append("created", getCreated())
                .append("modified", getModified())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }

}
